function runscript()
	if (getflag(FLAG_DEVICE_BROKE) == FLAG_OFF) then
		mus("");
		setpos(14,5);
		fadeoutinstant();
		createnpc("ip", 14, 5);
		sound("fallevent", 5);
		wait(100);
		say("The fall knocks you unconscious.");
		wait(100);
		say("Hours later, you awaken...");
		hideplayer();
		setanim("ip", 4, 0, 1, 0, 0);
		wait(50);
		fadein();
		wait(50);
		say("You seem to have survived the fall,|||| but you can't remember a thing.");
		wait(20);
		destroy("ip");
		setdir(0);
		showplayer();
		wait(30);
		say("You decide to explore a bit.");
		mus("mystery");
		setflag(FLAG_DEVICE_BROKE, FLAG_ON);
	end
end